### Enumeration

# AppStream ComponentBoxFlags

since: 1.0

#### Declaration

    flags AppStream.ComponentBoxFlags

#### Description [src]

Flags controlling the component box behavior.

Available since: 1.0

#### Members

`AS_COMPONENT_BOX_FLAG_NONE`

  No flags.

  - Value: `0`
  - Nickname: `none`
  - Available since: 1.0
`AS_COMPONENT_BOX_FLAG_NO_CHECKS`

  Only perform the most basic verification.

  - Value: `1`
  - Nickname: `no-checks`
  - Available since: 1.0